VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Attributes
vmware::appliance::techpreview::system::UpdateDefinitions Class Reference

Defines the type descriptors for the Update API service. More...

List of all members.

## Static Public Attributes
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | updateStructSet
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | updateStructGet
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | set_Input
static global::System.Lazy < vmware.vapi.bindings.type.IType > | set_Output
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | get_Input
static global::System.Lazy < vmware.vapi.bindings.type.IType > | get_Output

## Detailed Description

Defines the type descriptors for the Update API service.

## Member Data Documentation

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::techpreview::system::UpdateDefinitions::get_Input`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::appliance::techpreview::system::UpdateDefinitions::get_Output`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.appliance.techpreview.system.UpdateDefinitions.updateStructGet.Value));
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::techpreview::system::UpdateDefinitions::set_Input`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("config", new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.appliance.techpreview.system.UpdateDefinitions.updateStructSet.Value)));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::appliance::techpreview::system::UpdateDefinitions::set_Output`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.VoidType();
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::techpreview::system::UpdateDefinitions::updateStructGet`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("current_URL", new vmware.vapi.bindings.type.StringType());
                    fields.Add("default_URL", new vmware.vapi.bindings.type.StringType());
                    fields.Add("check_updates", new vmware.vapi.bindings.type.EnumType(typeof(vmware.appliance.techpreview.system.UpdateTypes.AutoUpdateNotification)));
                    fields.Add("time", new vmware.vapi.bindings.type.StringType());
                    fields.Add("day", new vmware.vapi.bindings.type.EnumType(typeof(vmware.appliance.techpreview.system.UpdateTypes.UpdateDay)));
                    fields.Add("latest_update_install_time", new vmware.vapi.bindings.type.StringType());
                    fields.Add("latest_update_query_time", new vmware.vapi.bindings.type.StringType());
                    fields.Add("username", new vmware.vapi.bindings.type.StringType());
                    fields.Add("password", new vmware.vapi.bindings.type.StringType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.appliance.techpreview.system.update.update_struct_get", fields, typeof(vmware.appliance.techpreview.system.UpdateTypes.UpdateStructGet), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::techpreview::system::UpdateDefinitions::updateStructSet`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("current_URL", new vmware.vapi.bindings.type.StringType());
                    fields.Add("check_updates", new vmware.vapi.bindings.type.EnumType(typeof(vmware.appliance.techpreview.system.UpdateTypes.AutoUpdateNotification)));
                    fields.Add("time", new vmware.vapi.bindings.type.StringType());
                    fields.Add("day", new vmware.vapi.bindings.type.EnumType(typeof(vmware.appliance.techpreview.system.UpdateTypes.UpdateDay)));
                    fields.Add("username", new vmware.vapi.bindings.type.StringType());
                    fields.Add("password", new vmware.vapi.bindings.type.SecretType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.appliance.techpreview.system.update.update_struct_set", fields, typeof(vmware.appliance.techpreview.system.UpdateTypes.UpdateStructSet), validators, false, null);
                })

The documentation for this class was generated from the following file:

- UpdateDefinitions.cs